﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Web;

namespace FootballPredictions.DataHandling.Plots
{
    public class PlotBurnIn
    {

        // TODO: Not finished
        public void WriteSamplesToTex()
        {
            //System.IO.StreamReader indexReader = new System.IO.StreamReader(Constants.TEXT_FILES+"JAGS/"+"CODA0index.txt");
            System.IO.StreamReader chainReader = new System.IO.StreamReader(Constants.TEXT_FILES + "JAGS/" + "CODA0chain1.txt");

            double[] samples = new double[Constants.SAMPLE_COUNT / Constants.THINNING];
            var index = 152000;
            var counter = 0;

            var chainLine = chainReader.ReadLine();
            while (counter < index)
            {
                counter++;
                chainLine = chainReader.ReadLine();
            }
            counter = 0;
            while (counter < samples.Count())
            {
                var chainLineArray = chainLine.Split(' ');
                samples[counter] = Convert.ToDouble(chainLineArray[2], CultureInfo.GetCultureInfo("en-GB"));
                chainLine = chainReader.ReadLine();
                counter++;
            }

            using (System.IO.StreamWriter file = new System.IO.StreamWriter(
                Constants.TEXT_FILES + "JAGS/"
                + Constants.SAMPLE_COUNT + "_"
                + Constants.BURN_IN + "_"
                + Constants.CHAINS + "_"
                + "burnInTest.tex"))
            {
                var prefix = "\\begin{figure} \n"
                            + "\\centering \n"
                            + "\\begin{tikzpicture} \n"
                            + "\\begin{axis}\n"
                            + "[legend pos=outer north east, \n"
                            + "xlabel=X, ylabel=Value]";

                var suffix = "\\legend{Samples} \n"
                            + "\\end{axis} \n"
                            + "\\end{tikzpicture}\\newline"
                            + "\\caption{<ENTER Figure Text>}% \n"
                            + "\\label{pgfplots:<ENTER Caption>}% \n"
                            + "\\end{figure}";
                file.WriteLine(prefix);

                file.WriteLine("\\addplot[color=blue] coordinates {");

                counter = 0;
                foreach (var sample in samples)
                {
                    if (counter % 10 == 0)
                        file.WriteLine("(" + (counter) + "," + sample.ToString(CultureInfo.GetCultureInfo("en-GB")) + ")");
                    counter++;
                }
                file.WriteLine("};");

                file.WriteLine(suffix);
            }
        }
    }
}