﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using FootballPredictions.Mappings;

namespace FootballPredictions.DataHandling.PopulateDatabase
{
    /// <summary>
    /// Populates the database with all the bookmakers.
    /// </summary>
    public class PopulateBookmaker
    {
        public PopulateBookmaker()
        {
            using (var session = NHibernateConfig.OpenSession())
            {
                using (var tx = session.BeginTransaction())
                {
                    var bookmaker1 = new Bookmaker()
                    {
                        Name = "Bet365",
                        BookmakerId = "B365"
                    };
                    var bookmaker2 = new Bookmaker()
                    {
                        Name = "BlueSquare",
                        BookmakerId = "BS"
                    };
                    var bookmaker3 = new Bookmaker()
                    {
                        Name = "Bet&Win",
                        BookmakerId = "BW"
                    };
                    var bookmaker4 = new Bookmaker()
                    {
                        Name = "Gamebookers",
                        BookmakerId = "GB"
                    };
                    var bookmaker5 = new Bookmaker()
                    {
                        Name = "Interwetten",
                        BookmakerId = "IW"
                    };
                    var bookmaker6 = new Bookmaker()
                    {
                        Name = "Ladbrokes",
                        BookmakerId = "LB"
                    };
                    var bookmaker7 = new Bookmaker()
                    {
                        Name = "Pinnacle Sports",
                        BookmakerId = "PS"
                    };
                    var bookmaker8 = new Bookmaker()
                    {
                        Name = "Sporting Odds",
                        BookmakerId = "SO"
                    };
                    var bookmaker9 = new Bookmaker()
                    {
                        Name = "Sportingbet",
                        BookmakerId = "SB"
                    };
                    var bookmaker10 = new Bookmaker()
                    {
                        Name = "Stan James",
                        BookmakerId = "SJ"
                    };
                    var bookmaker11 = new Bookmaker()
                    {
                        Name = "Stanleybet",
                        BookmakerId = "SY"
                    };
                    var bookmaker12 = new Bookmaker()
                    {
                        Name = "VC Bet",
                        BookmakerId = "VC"
                    };
                    var bookmaker13 = new Bookmaker()
                    {
                        Name = "William Hill",
                        BookmakerId = "WH"
                    };
                    var bookmaker14 = new Bookmaker()
                    {
                        Name = "Betbrain Maximum Odds",
                        BookmakerId = "BbMx"
                    };
                    var bookmaker15 = new Bookmaker()
                    {
                        Name = "Betbrain Average Odds",
                        BookmakerId = "BbAv"
                    };
                    session.SaveOrUpdate(bookmaker1);
                    session.SaveOrUpdate(bookmaker2);
                    session.SaveOrUpdate(bookmaker3);
                    session.SaveOrUpdate(bookmaker4);
                    session.SaveOrUpdate(bookmaker5);
                    session.SaveOrUpdate(bookmaker6);
                    session.SaveOrUpdate(bookmaker7);
                    session.SaveOrUpdate(bookmaker8);
                    session.SaveOrUpdate(bookmaker9);
                    session.SaveOrUpdate(bookmaker10);
                    session.SaveOrUpdate(bookmaker11);
                    session.SaveOrUpdate(bookmaker12);
                    session.SaveOrUpdate(bookmaker13);
                    session.SaveOrUpdate(bookmaker14);
                    session.SaveOrUpdate(bookmaker15);
                    tx.Commit();
                }
            }
        }
    }
}