﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using FootballPredictions.Mappings;

namespace FootballPredictions.DataHandling.PopulateDatabase
{
    /// <summary>
    /// The database is populated from here.
    /// </summary>
    public class PopulateDatabase
    {
        public PopulateDatabase()
        {
            new PopulateStage();
            new PopulateTeam();
            new PopulateBookmaker();
            new PopulateTeamMatch();
            new PopulateOdds();
            new PopulateNorskTipping();
        }
    }
}