﻿using FootballPredictions.Mappings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FootballPredictions.Evaluation.Betting
{
    /// <summary>
    /// Object used in the betting strategies.
    /// </summary>
    public class Bet
    {
        public double[] BetsPlaced { get; set; }
        public double Return { get; set; }
        public Match Match { get; set; }
        public Odds Odds { get; set; }
        public Prediction Prediction { get; set; }
    }
}