﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using SharpJags.Collections;
using SharpJags.Parsing;

namespace FootballPredictions.JAGS
{
    /// <summary>
    /// A replacement for the SharpJags CodaParser. The SharpJags CodaParser stores all data from a simulation to memory, which we will run out of during large simulations.
    /// Nothing is done in this class. Parsing Coda files is now done in OutputHandlers.
    /// </summary>
    public class ModifiedCodaParser : ISampleParser
    {
        public SampleCollection Parse(string rootPath, string indexFileName, string chainFileNameTemplate, int numChains)
        {
            return null;
        }
    }
}