﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace FootballPredictions.Mappings
{
    /// <summary>
    /// The Bookmaker object
    /// </summary>
    public class Bookmaker
    {
        public virtual string BookmakerId { get; set; }
        public virtual string Name { get; set; }
    }
    /// <summary>
    /// Mapping for the database
    /// </summary>
    public class BookmakerMap : ClassMapping<Bookmaker>
    {
        public BookmakerMap()
        {
            Id(x => x.BookmakerId);
            Property(x => x.Name);
        }
    }
}