﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace FootballPredictions.Mappings
{
    /// <summary>
    /// The Player object.
    /// </summary>
    public class Player
    {
        public virtual int PlayerId { get; set; }
        public virtual string Name { get; set; }
    }
    /// <summary>
    /// Mapping for the database.
    /// </summary>
    public class PlayerMap : ClassMapping<Player>
    {
        public PlayerMap()
        {
            Id(x => x.PlayerId);
            Property(x => x.Name);
        }
    }
}