﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FootballPredictions.Evaluation.Betting.Plots
{
    /// <summary>
    /// Super class used by all the methods that plot outcomes of bets.
    /// </summary>
    public abstract class BettingPlot
    {
        public List<Bet> Bets { get; set; }
        public string SimulationName { get; set; }
        public string BettingStrategy { get; set; }
        public int Stage { get; set; }

        public abstract void Plot();
    }
}