﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace FootballPredictions.Mappings
{
    /// <summary>
    /// Team object
    /// </summary>
    public class Team
    {
        public virtual int TeamId { get; set; }
        public virtual string Name { get; set; }
    }
    /// <summary>
    /// Mapping for the database
    /// </summary>
    public class TeamMap : ClassMapping<Team>
    {
        public TeamMap()
        {
            Id(x => x.TeamId);
            Property(x => x.Name);
        }
    }
}